﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sailboat.Entities
{
    public class EntitySailboat : EntityBoat
    {
        public Color AdditionalColor { get; private set; }
        public bool Hull { get; private set; }
        public bool Sail { get; private set; }
        public EntitySailboat(int speed, double weight, Color bodyColor, Color
        additionalColor, bool hull, bool sail) : base (speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Hull = hull;
            Sail = sail;
        }
    }
}
